Bug 84483 - Installer does not allow you to enter hostname, dns and gateway
Installer does not allow you to enter hostname, dns and gateway
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-17 16:50 EST by Ted Kaczmarek
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:18:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Kaczmarek 2003-02-17 16:50:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.8 (X11; Linux i686; U;) Gecko/20030212

Description of problem:
This is the same issue I have had previously. The machine in question has 4 nic
cards. If you go back and forth on the network adapter settings say turn on
activate, edit an ip etc.. it will not allow you to enter the hostname, dns or
gateway info.  After rebooting and starting install again, as long as you enter
the hostname before editing the adaptors it is fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start Redhat Install on machine with 4 nics
2.When you get to hostname portion config adaptors before entering hostname
info, flip some options back and forth in adaptor settings.
3.The try to enter hostname it does not allow it
    

Actual Results:  Unable to enter hostname.

Expected Results:  Entering of hostname should be allowed at any time when in
that screen, it should not be impacted by any adaptor setting.

Additional info:

If you force entering of hostname first this could possibly be avoided.
I can only reproduce if I try to enter hostname after edting ip address for
network cards.
Comment 1 Jeremy Katz 2003-08-13 17:16:53 EDT
I can't reproduce this with our current code.
Comment 2 Ted Kaczmarek 2003-08-13 19:44:49 EDT
As in Redhat 9 anaconda or newer?
I was still able to make this happen with RH9 on a three nic router/host.
Comment 3 Jeremy Katz 2006-04-24 14:18:04 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.